# Poco

# class InputLineEndingConverter

Library: Foundation
Package: Streams
Header: Poco/LineEndingConverter.h

## Description

InputLineEndingConverter performs line ending conversion on text input streams. The converter can convert from and to the Unix (LF), Mac (CR) and DOS/Windows/Network (CF-LF) endings.

Any newline sequence in the source will be replaced by the target newline sequence.

## Inheritance

Direct Base Classes: LineEndingConverterIOS, std::istream

All Base Classes: LineEndingConverterIOS, std::ios, std::istream

## Member Summary

Inherited Functions: getNewLine, rdbuf, setNewLine

## Constructors

### InputLineEndingConverter

InputLineEndingConverter(
std::istream & istr
);

Creates the LineEndingConverterInputStream and connects it to the given input stream.

### InputLineEndingConverter

InputLineEndingConverter(
std::istream & istr,
const std::string & newLineCharacters
);

Creates the LineEndingConverterInputStream and connects it to the given input stream.

## Destructor

### ~InputLineEndingConverter

~InputLineEndingConverter();

Destroys the stream.